Merge pull request #8 from SpComb/github-actions-lint

github workflows: add go fmt, vet checks
This commit is contained in:
Tero Marttila 2022-06-24 12:34:02 +03:00 committed by GitHub
commit 44eb5ea262
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 21 additions and 0 deletions

15
.github/workflow-scripts/check-gofmt.sh vendored Executable file
View File

@ -0,0 +1,15 @@
#!/bin/sh
set -ue
fmt_list="$(gofmt -l "$@")"
if [ -n "$fmt_list" ]; then
echo "Check gofmt failed: " >&2
for file in "$fmt_list"; do
echo "::error file=${file},title=gofmt::gofmt check failed"
echo "\t$file" >&2
done
exit 1
fi

View File

@ -25,12 +25,18 @@ jobs:
- name: Download dependencies
run: go mod download
- name: Check gofmt
run: .github/workflow-scripts/check-gofmt.sh .
- name: Build
run: go build -v
- name: Test
run: go test -v
- name: Vet
run: go vet
- name: Upload
uses: actions/upload-artifact@v3
with: